-- 基础信息
base_info = {
	group_id = 247008011
}

-- DEFS_MISCS
local GroupId = 247008011
local point_id_list = {}
local MainGroupID = 247008001
local RegionID = 11001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 11001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 160.049, y = 0.102, z = 159.997 } }
}

-- 触发器
triggers = {
	{ config_id = 1011001, name = "ENTER_REGION_11001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 11002, pos = { x = 156.114, y = 0.159, z = 167.665 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11003, pos = { x = 164.199, y = 0.157, z = 167.611 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11004, pos = { x = 160.094, y = 0.153, z = 168.556 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 11005, pos = { x = 152.937, y = 0.174, z = 166.450 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 11006, pos = { x = 167.158, y = 0.167, z = 166.009 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 11007, pos = { x = 151.717, y = 0.158, z = 163.728 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 11008, pos = { x = 168.825, y = 0.162, z = 163.743 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 11009, pos = { x = 151.466, y = 0.152, z = 160.022 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 11010, pos = { x = 168.927, y = 0.160, z = 160.038 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 11011, pos = { x = 160.128, y = 0.167, z = 168.095 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 11012, pos = { x = 154.343, y = 0.178, z = 167.163 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 11013, pos = { x = 165.819, y = 0.152, z = 167.128 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 11014, pos = { x = 151.399, y = 0.161, z = 162.483 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 11015, pos = { x = 168.949, y = 0.159, z = 162.489 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 11016, pos = { x = 151.413, y = 0.155, z = 157.599 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 11017, pos = { x = 168.856, y = 0.153, z = 157.654 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 11018, pos = { x = 154.391, y = 0.153, z = 152.931 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 11019, pos = { x = 165.749, y = 0.152, z = 152.847 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 11020, pos = { x = 160.030, y = 0.152, z = 152.052 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 11021, pos = { x = 152.914, y = 0.194, z = 167.179 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 11022, pos = { x = 167.194, y = 0.169, z = 167.182 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 11023, pos = { x = 152.916, y = 0.152, z = 152.828 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 11024, pos = { x = 167.117, y = 0.152, z = 152.906 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 11025, pos = { x = 160.219, y = 0.170, z = 167.427 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 11026, pos = { x = 160.021, y = 0.152, z = 152.670 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 11027, pos = { x = 151.939, y = 0.153, z = 160.001 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 11028, pos = { x = 168.315, y = 0.156, z = 159.966 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 11029, pos = { x = 152.045, y = 0.154, z = 155.937 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 11030, pos = { x = 168.013, y = 0.161, z = 163.375 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 11031, pos = { x = 163.452, y = 0.153, z = 152.353 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 11032, pos = { x = 156.199, y = 0.178, z = 167.275 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 11033, pos = { x = 155.852, y = 0.050, z = 155.562 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 11001 },
		triggers = { "ENTER_REGION_11001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
